# File obslog$Scripts/makelog.cl
# January 16, 2007
# Rewritten by Doug Mink from csh script preplog

procedure makelog ()

string newroot=""	{prompt="Name of logging file"}
bool remake=yes		{prompt="Always remake ps file (yes or no)"}
bool verbose=no		{prompt="Log progress on display (yes or no)"}
bool debug=no		{prompt="Print lots of debugging info (yes or no)"}

begin
	file texname, dviname, psname, pdfname, logname, root
	string arguments, inst, program

	root = newroot
	inst = obslog.instname
	if (inst == "")
	    inst = "fast"
	if (root == "") {
	    root = obslog.logroot
	    if (root == "") {
		print ("Log name not defined - epar viewlog or obslog")
		return
		}
	    }

	if (inst == "hspec" || inst == "hchelle") {
	    logname = root // ".tab"
	    }
	else {
	    logname = root // ".lis"
	    }
	texname = root // ".tex"
	dviname = root // ".dvi"
	psname = root // ".ps"
	pdfname = root // ".pdf"

	if (!access (psname) || remake) {
	    if (!access (dviname) || remake) {
		if (!access (texname) || remake) {
		    if (!access (logname)) {
			print ("MAKELOG: log file ",logname," not found - Run addlog")
			return
			}
		    if (verbose)
			print ("MAKELOG: making ",texname," from ",logname)
		    if (debug)
			arguments = "-v " // root // " " // obslog.instname
		    else
			arguments = root // " " // obslog.instname
		    arguments = arguments // " " // osfn ("obslog$lib")
		    program = osfn ("obslog$bin(arch)/tex_log")
		    printf ("!%s %s\n", program, arguments) | cl
		    }
		if (verbose)
		    print ("MAKELOG: making ",dviname," from ",texname)
	         tex (texname)
		}
	    if (!access (dviname)) {
		print ("MAKELOG: ",dviname," not made")
		return
		}
	    if (verbose)
		print ("MAKELOG: making ",psname," from ",dviname)
	    arguments = "-P pdf -t letter -t landscape " // dviname // " -o " // psname
	    dvips (arguments)
	    }
	if (!access (pdfname) || remake) {
	    if (!access (psname)) 
		print ("MAKELOG: ",psname," not made")
	    else {
		arguments = psname // " " // pdfname
		ps2pdf (arguments)
		}
	    if (!access (pdfname)) 
		print ("MAKELOG: ",pdfname," not made")
	    }

# Print output file name
	if (!access (psname))
	    print ("MAKELOG: ",psname," not made")
	else if (verbose)
	    print ("MAKELOG: postscript file = ", psname)
	else
	    print (psname)
end
# Dec 21 2001	(Doug Mink) Translate from csh script preplog
#
# Nov 17 2005	(Doug Mink) use bin(arch) instead of bin
# Dec 12 2005	(Doug Mink) add "-P pdf" to dvips to get readable Acrobat files

# Jan 16 2007	(Doug Mink) Add "-t letter" to get page size right in Linux
