# REMARKLOG -- IRAF CL script front end to Tod Lauer's KPNO logging
# facility remark program.
 
procedure remarklog (image)
 
string  image                   {prompt="Image name log entry"}
bool    overwrite = yes         {prompt="exists, overwrite?", mode="q"}

string	*list
 
begin
        string  img, parfile, rootlog=""
	string	instname=""
	string	logfile="home$.kpccdlog"
        int     nlines, min_nlines=10
	bool	logexists

# Check for existence of log file
	logroot = obslog.logroot
	if (strlen (logroot) <= 0) {
	    if (verbose)
		print ("Log file root name not defined - epar obslog")
	    return
	    }
	else {
	    logfile = obslog.logdir // logroot // ".lis"
	    }

# Set instrument	
	instname = obslog.instname
	if (strlen (instname) <= 0) {
	    if (verbose)
		printf ("Instrument name not defined\n")
	    return
	    }

        if ($nargs == 0) {
	    img = " "
	    parfile = "tmp$" // "last_in" // ".par"
        } else {
	    img = image
	    parfile = "tmp$" // img // ".par"
	}
 
 
        if (access (parfile)) {
            printf ("Temporary remark file %s ", parfile)
            if (overwrite)
                delete (parfile, verify-, >& "dev$null")
            else
                return
        }
 
        touch (osfn(parfile))
 
	if (instname == "4sh") {
	    printf ("!%s %s >> %s\n",
	    osfn ("obslog$bin/get_dir"), osfn(img), osfn(parfile)) | cl
	    count (parfile) | scan (nlines)
     
	    if (nlines >= min_nlines) {
		eparam (parfile)
		printf ("!%s %s\n",
		    osfn ("obslog$bin/put_dir"), osfn(parfile)) | cl
	    } else {
		beep
		printf ("Error retrieving log entry %s\n", img)
		printf ("--------\n")
		type (parfile)
		printf ("--------\n")
	    }

	} else if (instname == "ech") {
	    printf ("!%s %s >> %s\n",
		osfn ("obslog$bin/get_gcam"),osfn(img),osfn(parfile)) | cl
	    count (parfile) | scan (nlines)
     
	    if (nlines >= min_nlines) {
		eparam (parfile)
		printf ("!%s %s\n",
		    osfn ("obslog$bin/put_gcam"), osfn(parfile)) | cl
	    } else {
		beep
		printf ("Error retrieving log entry %s\n", img)
		printf ("--------\n")
		type (parfile)
		printf ("--------\n")
	    }

	} else if (instname == "fast") {
	    printf ("!%s %s >> %s\n",
		osfn ("obslog$bin/get_rc"),osfn(img),osfn(parfile)) | cl
	    count (parfile) | scan (nlines)
     
	    if (nlines >= min_nlines) {
		eparam (parfile)
		printf ("!%s %s\n",
		    osfn ("obslog$bin/put_rc"), osfn(parfile)) | cl
	    } else {
		beep
		printf ("Error retrieving log entry %s\n", img)
		printf ("--------\n")
		type (parfile)
		printf ("--------\n")
	    }

	} else {
	    printf ("Unknown instrument name for logging.\n")
	}
 
        delete (parfile, verify-, >& "dev$null")
end
