# File obslog$Scripts/viewlog.cl
# January 25, 2007
# By Doug Mink

procedure viewlog ()

string newroot=""	{prompt="Name of logging file"}
string display="xdvi"	{prompt="Display using xdvi, ghostview, or acrobat"}
bool remake=yes		{prompt="Always remake ps file (yes or no)"}
bool verbose=no		{prompt="Log progress on display (yes or no)"}

begin

	file texname, dviname, psname, pdfname, logname, root
	string program, arguments, inst

	root = newroot
	if (root == '') {
	    root = obslog.logroot
	    if (root == '') {
		print ("Log name not defined - epar viewlog or obslog")
		return
		}
	    }
	texname = root // ".tex"

	inst = obslog.instname
	if (inst == "hspec" || inst == "hchelle") {
	    logname = root // ".tab"
	    }
	else {
	    logname = root // ".lis"
	    }
	dviname = root // ".dvi"
	pdfname = root // ".pdf"
	psname = root // ".ps"

	if (!access (psname) || remake) {
	    if (!access (dviname) || remake) {
		if (!access (texname) || remake) {
		    if (!access (logname)) {
			print ("Log file ",logname," not found - Run loginit")
			return
			}
		    if (verbose)
			print ("making ",texname," from ",logname)
		    arguments = root // " " // inst
		    arguments = arguments // " " // osfn ("obslog$lib")
		    program = osfn ("obslog$bin(arch)/tex_log")
		    printf ("!%s %s\n", program, arguments) | cl
# 		    tex_log
		    }
		if (verbose)
		    print ("making ",dviname," from ",texname)
		tex (texname)
		}
	    if (!access (dviname)) {
		print (dviname," not made")
		return
		}
	    arguments = "-P pdf -t letter -t landscape " // dviname // " -o " // psname
	    if (verbose)
		print ("making ",psname," from ",dviname)
	    dvips (arguments)
	    }
	if (!access (pdfname) || remake) {
	    if (!access (psname)) 
		print ("VIEWLOG: ",psname," not made")
	    else {
		arguments = psname // " " // pdfname
		ps2pdf (arguments)
		}
	    if (!access (pdfname)) 
		print ("VIEWLOG: ",pdfname," not made")
	    }
	if (display == "xdvi") {
	    if (!access (dviname))
		print ("VIEWLOG: ",dviname," not made")
	    else {
		arguments = "-bg white -fg black -paper usr " // dviname
		xdvi (arguments)
		}
	    }
	else if (display == "acrobat" && access (pdfname)) 
	    acroread (pdfname)

# Display using ghostview
	else if (access (psname)) {
	    arguments = psname // " -background white -foreground black"
	    if (envget("arch") == ".ssun") {
		arguments = arguments // " -swap -quiet "
		}
	    else {
		arguments = arguments // " --swap --quiet "
		}
	    arguments = arguments // " -geometry +0+0 &"
	    ghostview (arguments)
	    }
end
# May 10 2001	New task rewritten from csh script
#
# Mar  1 2004	Add hectospec log creation from Starbase table
#
# Nov 17 2005	(Doug Mink) use bin(arch) instead of bin
# Dec 12 2005	(Doug Mink) add "-P pdf" to dvips to get readable Acrobat file
# Dec 12 2005	(Doug Mink) always make an Acrobat file

# Jan 25 2007	(Doug Mink) check operating system to use - or -- for ghostview
