#ifndef _obslog_h_
#define _obslog_h_

/* Subroutines for creating digital observing logs from data files */

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __STDC__   /* Full ANSI prototypes */

    int tex_ccd (	/* Write TeX file from an ASCII CCD log
			 * Return number of pages written */
	char *logroot,	/* Rootname of log file */
	char *libdir);	/* Pathname of obslog lib directory */

    int tex_ech (	/* Write TeX file from ASCII Echelle log
			 * Return number of pages written */
	char *logroot,	/* Rootname of log file */
	char *libdir);	/* Pathname of obslog lib directory */

    int tex_fast (	/* Write TeX file from ASCII FAST log
			 * Return number of pages written */
	char *logroot,	/* Rootname of log file */
	char *libdir,	/* Pathname of obslog lib directory */
	int debug);	/* If != 0, print debugging information */

    int tex_hspec (	/* Write TeX file from Starbase Hectospec log
			 * Return number of pages written */
	char *logroot,	/* Rootname of log file */
	char *libdir,	/* Pathname of obslog lib directory */
	int debug);	/* If != 0, print debugging information */

    int tex_hchelle (	/* Write TeX file from Starbase Hectospec log
			 * Return number of pages written */
	char *logroot,	/* Rootname of log file */
	char *libdir,	/* Pathname of obslog lib directory */
	int debug);	/* If != 0, print debugging information */

#else /* K&R prototypes */

    int tex_ccd();
    int tex_ech();
    int tex_fast();
    int tex_hspec();
    int tex_hchelle();

#endif  /* __STDC__ */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif  /* _obslog_h_ */
